Do not update `load_defaults` version when running `app:update` (#31951) ยท rails/rails@2c4e9c6

Incompatible settings are included in the settings set by `load_defaults`. So, I think that target version should be updated by a user when becomes available, and should not be updated with `app:...